package monnethic.mobile.test.blockchainApi;

import org.json.JSONArray;
import org.json.JSONObject;
import org.junit.Test;
import java.net.URL;
import java.util.ArrayList;

import monnethic.mobile.restApi.Config;
import monnethic.mobile.restApi.HttpCallHandler;
import monnethic.mobile.wallet.Wallet;

public class walletTest {

    @Test
    public void getUsersWallet(){
        ArrayList<Wallet> walletList = new ArrayList<>();
        try {
            String url = Config.WALLET_GET_USER_WALLETS+"?userHash="+"$2a$10$GzyMhD3n05Z2lwCnoGi2dusjKrNAmHhtn5fw1xLpes5.cEV5T7lve";
            System.out.println("call : "+url);
            HttpCallHandler httpCallHandler = new HttpCallHandler();
            String response = httpCallHandler.getHttp(new URL(url));

            System.out.println("RESPONSE IS : "+response);

            JSONArray jsonArray = new JSONArray(response);

            for(int i=0; i<jsonArray.length(); i++){
                Wallet wallet = new Wallet();
                JSONObject jsonObject = jsonArray.getJSONObject(i);

                wallet.setType(jsonObject.getJSONObject("Record").getJSONObject("walletType").getString("string"));
                wallet.setWallet_hash(jsonObject.getJSONObject("Record").getJSONObject("id").getString("string"));
                wallet.setUser_hash(jsonObject.getJSONObject("Record").getJSONObject("owner").getString("string"));

                String urlGetWallet = Config.WALLET_GET_WALLET+"?walletHash="+wallet.getWallet_hash();
                String responseWallet = httpCallHandler.getHttp(new URL(urlGetWallet));
                JSONObject jsonWallet = new JSONObject(responseWallet);

                wallet.setBalance(jsonWallet.getDouble("balance"));
                walletList.add(wallet);
            }

            for (Wallet w : walletList){
                System.out.println("wallet : "+w.toString());
            }

        } catch (Exception e){
            e.printStackTrace();
        }
    }
}
