package monnethic.mobile.database;

import java.io.Serializable;

public class Transaction implements Serializable {
    private int transactionId;
    private long transactionDate;
    private String transactionFrom;
    private String transactionTo;
    private String transactionHash;
    private Double transactionAmount;
    private String transactionUnit;

    //Constructors
    public Transaction(){

    }

    public Transaction(String transactionFrom, String transactionTo, String transactionHash, Double transactionAmount, String transactionUnit) {
        this.transactionFrom = transactionFrom;
        this.transactionTo = transactionTo;
        this.transactionHash = transactionHash;
        this.transactionAmount = transactionAmount;
        this.transactionUnit = transactionUnit;
    }

    public Transaction(int transactionId, long transactionDate, String transactionFrom, String transactionTo, String transactionHash, Double transactionAmount, String transactionUnit) {
        this.transactionId = transactionId;
        this.transactionDate = transactionDate;
        this.transactionFrom = transactionFrom;
        this.transactionTo = transactionTo;
        this.transactionHash = transactionHash;
        this.transactionAmount = transactionAmount;
        this.transactionUnit = transactionUnit;
    }

    //Getters and Setters
    public int getTransactionId() {
        return transactionId;
    }
    public void setTransactionId(int transactionId) {
        this.transactionId = transactionId;
    }

    public long getTransactionDate() {
        return transactionDate;
    }
    public void setTransactionDate(long transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getTransactionFrom() {
        return transactionFrom;
    }
    public void setTransactionFrom(String transactionFrom) {
        this.transactionFrom = transactionFrom;
    }

    public String getTransactionTo() {
        return transactionTo;
    }
    public void setTransactionTo(String transactionTo) {
        this.transactionTo = transactionTo;
    }

    public String getTransactionHash() {
        return transactionHash;
    }
    public void setTransactionHash(String transactionHash) {
        this.transactionHash = transactionHash;
    }

    public Double getTransactionAmount() {
        return transactionAmount;
    }
    public void setTransactionAmount(Double transactionAmount) {
        this.transactionAmount = transactionAmount;
    }

    public String getTransactionUnit() {
        return transactionUnit;
    }
    public void setTransactionUnit(String transactionUnit) {
        this.transactionUnit = transactionUnit;
    }
}
