package monnethic.mobile.restApi;

public class Config {
    static private int API = 0;

    /*
    static private String getBaseURl(){
        if(API==0){
            return "http://5.39.76.139:10053/";
        } else {
            return "http://37.187.101.44:10053/";
        }
    }
    */

    static private String getBaseUrlUser(){
        if(API==0){
            return "http://5.39.76.139:10053/api/rest/user/";
            //return "http://10.0.2.2:10053/api/rest/user/";
            //return "http://localhost:10053/api/rest/user/";
        } else {
            return "http://37.187.101.44:10053/api/rest/user/";
        }
    }
    static private String getBaseUrlTransaction(){
        if(API==0){
            return "http://5.39.76.139:10053/api/rest/transaction/";
            //return "http://10.0.2.2:10053/api/rest/transaction/";
            //return "http://localhost:10053/api/rest/transaction/";
        } else {
            return "http://37.187.101.44:10053/api/rest/transaction/";
        }
    }
    static private String getBaseUrlWallet(){
        if(API==0){
            return "http://5.39.76.139:10053/api/rest/wallet/";
            //return "http://10.0.2.2:10053/api/rest/wallet/";
            //return "http://localhost:10053/api/rest/wallet/";
        } else {
            return "http://37.187.101.44:10053/api/rest/wallet/";
        }
    }
    static private String getBaseUrlSession(){
        if(API==0){
            return "http://5.39.76.139:10053/api/rest/session/";
            //return "http://10.0.2.2:10053/api/rest/session/";
            //return "http://localhost:10053/api/rest/session/";
        } else {
            return "http://37.187.101.44:10053/api/rest/session/";
        }
    }
    static private String getConfigBaseUrl(){
        if(API==0){
            return "http://5.39.76.139:10053/api/rest/demo/conf";
            //return "http://10.0.2.2:10053/api/rest/demo/conf";
            //return "http://localhost:10053/api/rest/demo/conf/";
        } else {
            return "http://37.187.101.44:10053/api/rest/demo/conf";
        }
    }


    //USER
    static public String USER_LOGIN = getBaseUrlUser()+"login";
    static public String USER_REGISTER = getBaseUrlUser()+"register";
    static public String USER_GET = getBaseUrlUser()+"get";
    static public String USER_APPROVAL = getBaseUrlUser()+"getApproval";
    static public String USER_APPROVE = getBaseUrlUser()+"approve";
    //Search
    static public String FIND_BY_EMAIL= getBaseUrlUser()+"findByEmail";
    static public String FIND_BY_PHONE = getBaseUrlUser()+"findByPhone";
    static public String FIND_BY_EMAIL_AND_PHONE = getBaseUrlUser()+"findByEmailAndPhone";
    //Session
    static public String START_SESSION = getBaseUrlSession()+"start";
    static public String END_SESSION = getBaseUrlSession()+"end";

    //Config

    static public String CONFIG_ENVIRONMENT = getConfigBaseUrl()+"/env";
    static public String CONFIG_CHAINCODE = getConfigBaseUrl()+"/chaincode";
    static public String CONFIG_DB = getConfigBaseUrl()+"/db";


    //TRANSACTION
    static public String TRANSACTION_SEND = getBaseUrlTransaction()+"send";
    static public String TRANSACTION_GET = getBaseUrlTransaction()+"get";
    static public String TRANSACTION_LATEST = getBaseUrlTransaction()+"get/latest";
    static public String TRANSACTION_ALL = getBaseUrlTransaction()+"getTransactions";
    static public String TRANSACTION_SENT = getBaseUrlTransaction()+"get/sent";
    static public String TRANSACTION_RECEIVED = getBaseUrlTransaction()+"get/received";

    //WALLET
    static public String WALLET_CREATE = getBaseUrlWallet()+"create";
    static public String WALLET_GET_WALLET = getBaseUrlWallet()+"getWallet";
    static public String WALLET_GET_USER_WALLETS = getBaseUrlWallet()+"getUserWallets";
    static public String WALLET_DELETE = getBaseUrlWallet()+"delete";
    static public String WALLET_TRANSFER = getBaseUrlWallet()+"transfer";

    static public void setAPI(String newApi){ API = Integer.parseInt(newApi); }
    static public String getAPI(){ return String.valueOf(API); }
}