package monnethic.mobile.wallet;

public class Wallet {
    private int wallet_id;
    private String wallet_hash;
    private String user_hash;
    private String type;
    private Double balance;
    private long creation_date;
    private long modification_date;
    private boolean is_active;

    //Constructors
    //Default constructor for ORMLite
    public Wallet() {
    }

    public Wallet(String type,String user_hash){
        this.type=type;
        this.user_hash=user_hash;
    }

    public Wallet(String wallet_hash, String user_hash, String type, boolean isActive) {
        this.wallet_hash = wallet_hash;
        this.user_hash = user_hash;
        this.type = type;
        this.is_active = isActive;
    }

    public Wallet(String wallet_hash, String user_hash, String type, Double balance, boolean isActive) {
        this.wallet_hash = wallet_hash;
        this.user_hash = user_hash;
        this.type = type;
        this.balance = balance;
        this.is_active = isActive;
    }

    public int getWallet_id() {
        return wallet_id;
    }

    public void setWallet_id(int wallet_id) {
        this.wallet_id = wallet_id;
    }

    public String getWallet_hash() {
        return wallet_hash;
    }
    public void setWallet_hash(String wallet_hash) {
        this.wallet_hash = wallet_hash;
    }

    public String getUser_hash() {
        return user_hash;
    }
    public void setUser_hash(String user_hash) {
        this.user_hash = user_hash;
    }

    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

    public Double getBalance() {
        return balance;
    }
    public void setBalance(Double balance) {
        this.balance = balance;
    }

    public boolean is_active() {
        return is_active;
    }

    public void setIs_active(boolean is_active) {
        this.is_active = is_active;
    }

    public long getCreation_date() {
        return creation_date;
    }

    public void setCreation_date(long creation_date) {
        this.creation_date = creation_date;
    }

    public long getModification_date() {
        return modification_date;
    }

    public void setModification_date(long modification_date) {
        this.modification_date = modification_date;
    }

    @Override
    public String toString() {
        return "{wallet_hash:"+wallet_hash+",user_hash:"+user_hash+",type:"+type+",balance:"+balance+"}";
    }
}
